/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_G_1_3_b.c
*
*    Test description:	Deallocate memory with a pointer
*                       pointing a few elements before the memory block. 
*                       Allocate memory in main function, move the pointer, 
*                       pass it by address to a function, 
*                       and deallocate the memory there.
*                       The file must be compiled with file c_G_1_3_b.c
*
*    Error line:        33
*
*    Keywords:		deallocate memory with incorrect pointer
*                       function
*                       moved pointer
*			free()
*			int
*
*    Last modified:	June 30, 2005
*/

#include <stdlib.h>

void func(int **ptrA)
{
   free(*ptrA);
}


