#include <iostream.h>

  class TestObject {
  double v1;

public:
  // standard constructor
  TestObject () { }

  // constructor
  TestObject (double v1) {
    this->v1=v1;
  }

  // "operator <<" needs access to v1
  friend ostream & operator << (ostream & os, TestObject & obj);

  // "operator =" by using of TestObject
  void operator = (TestObject obj) {
    v1 = obj.v1;
  }

  // "operator ="
  template <class T> void operator = (T obj) {
    v1 = obj;
  }

  // "operator =="
  template <class T> bool operator == (T obj) {
    return v1 == obj;
  }

  // "operator !="
  template <class T> bool operator != (T obj) {
    return v1 != obj;
  }

  // "operator +" by using of TestObject
  TestObject operator + (TestObject obj) {
    return v1 + obj.v1;
  }

  // "operator -" by using of TestObject
  TestObject operator - (TestObject obj) {
    return v1 - obj.v1;
  }

  // "operator *" by using of TestObject
  TestObject operator * (TestObject obj) {
    return v1 * obj.v1;
  }

  // "operator /" by using of TestObject
  TestObject operator / (TestObject obj) {
    return v1 / obj.v1;
  }

  // "operator --" by using of TestObject
  TestObject operator -- (int zero) {
    return v1--;
  }

  // "operator &&" by using of TestObject
  TestObject operator && (TestObject obj) {
    return v1 && obj.v1;
  }

  // "operator ||" by using of TestObject
  TestObject operator || (TestObject obj) {
    return v1 || obj.v1;
  }
};

// "operator <<" prints the values v1
ostream & operator << (ostream & os, TestObject & obj) {
    os << obj.v1;
    return os;
}

