/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_E_1_8_d.c
*
*    Test description:	Write K elements past the upper bound of a stack array
*			that is a member of a structure declared in a function. 
*			Use array indexing.
*			The file must be compiled with file c_E_1_8_d.c
*
*    Error line:        43
*
*    Keywords:		out-of-bounds
*			array indexing
*			stack array
*			function
*			structure
*			write
*                       int
*
*    Last modified:	July 28, 2005
*/

#include "TEST_PARAM.H"

int func(void)
{
   int c = 0, sum = 0;
   int i;
   struct aab {
       char * nm;
       int arrayA[N];
   } ss;

   for (i=0; i<N; i++)
        ss.arrayA[i] = i;
   i = i + K - 1;
   ss.arrayA[i] = c;  /* write K elements past the upper bound */
   for(i=0; i<N; i++)
       sum = sum + ss.arrayA[i];

   ret();
   if(ret1==0) {               /* the value of ret1 = 1 */
      printf("Variable sum=%d", sum);
   } 

   return ret2;
}

