/*   Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
  and Ziyu Zhang, All rights reserved.
  Licensed under the Educational Community License version 1.0.
  See the full agreement at http://rted.public.iastate.edu/license.txt .*/
/*
*    Test name:		c_I_3_b.c
*
*    Test description:	Allocate a block of memory and deallocate only part of it.
*                       Allocate memory in main function, pass the pointer by address 
*                       to a function, move it there to point to the middle 
*                       of the memory block, then deallocate the memory in main function.
*                       The file must be compiled with file c_I_3_b.c
*
*    Keywords:		memory leak
*			function
*			int
*
*    Last modified:	June 30, 2005
*/


#include "TEST_CONST.H"

void func(int **ptr)
{
   *ptr+=K;
}
