/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_J_2_1_d.c
*
*    Test description:	Out-of-bounds memory access of a global array.
*			Write one element past the upper bound of a global array
*			in a function. Use pointer reference.
*
*    Support files:     c_J_2_1_d_s.c, index_array.txt, TEST_CONST.H, TEST_PARAM.H
*    
*    Env. requirements: Not needed
*
*    Keywords:		out-of-bounds
*			pointer reference
*			global array
*			function
*			fence-post error
*			off-by-one error
*			write
*                       int
*
*    Last modified:	July 1, 2005
*/

#include "TEST_CONST.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int arrayA[N];

void func(void);

int main(void)
{
   func();
   return EXITCODE_OK;
}
