/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_1_d_in.c
*
*    Test description:	Read an unitialized stack variable in a function.
*			The file must be compiled with file c_A_1_d_in.c
*		
*    Keywords:		uninitialized variables
*			stack variable
*			function
*			int
*
*    Last modified:	May 27, 2005
*/

#include <stdio.h>

int func(int varA, int ret1)
{
   int c = 0;
   c += varA;  

   if(ret1==0) {
      printf("Variable c=%d", c);
   } 

   return 1;
}

