/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_1_e_sc.c
*
*    Test description:	Read an uninitialized stack variable in a function.
*			The file must be compiled with file c_A_1_e_sc.c
*
*    Error line:        29
*		
*    Keywords:		uninitialized variables
*			stack variables
*			function
*			signed char
*
*    Last modified:	May 31, 2005
*/

#include "stdio.h"

int func(signed char *ptrA, int ret1)
{
   signed char c;
   c = *ptrA;  /* the pointer points to an uninitialized variable */

   if(ret1==0) printf("Variable c=%c", c);

   return 1;
}

