/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_2_b_in.c
*
*    Test description:	Read an uninitialized stack array in a structure
*			using array indexing.
*
*    Error line:        51
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*    
*    Env. requirements: Not needed
*
*    Keywords:		uninitialized variables
*			stack array
*			main function
*			array indexing
*			structure
*			int
*
*    Last modified:	May 27, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int main(void)
{
   int b = 0;
   int i;
   struct aab {
       char * name[5];
       int arrayA[10];
   } ss;
    
   ret();
   if(ret1 != 1) {
      for(i=0; i<10; i++) ss.arrayA[i] = i;
      }
   b = b + ss.arrayA[0]; 
   if(ret2==0) {                  /* the value of ret2 = 1 */
      printf("Variable b=%d", b);
   } 

   return EXITCODE_OK; 
}
