/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_3_b_in.c
*
*    Test description:	Read an uninitialized stack array in main function
*			using a pointer. The array is declared in a structure.
*
*    Error line:        52
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*    
*    Env. requirements: Not needed
*
*    Keywords:		uninitialized variables
*			stack array
*			main function
*			structure
*			pointer
*			int
*
*    Last modified:	June 1, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int main(void)
{
   int *ptrA, b = 0;
   int i;
   struct aab {
       char * name[5];
       int arrayA[10];
   } ss;
     
   ret();
   if(ret1 != 1) {                   /* the value of ret1 = 1 */
      for(i=0; i<10; i++) ss.arrayA[i] = i;
      }
   ptrA = ss.arrayA;  
   b = b + *(ptrA+5);  
   if(ret2 != 1) {                   /* the value of ret2 = 1 */
      for(i=0; i<10; i++) printf("%d", ptrA[i]);
    }
   if(ret2==0) printf("Variable b=%d", b);   
   
   return EXITCODE_OK; 
}
