/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_4_d_in.c
*
*    Test description:	Read an unitialized dynamically allocated array 
*			passed to a function. Use array indexing.
*			The file must be compiled with file c_A_4_d_in.c
*
*    Error line:        32
*		
*    Keywords:		uninitialized variables
*			dynamically allocated array
*			function
*			array indexing
*			int
*
*    Last modified:	June 1, 2005
*/

#include <stdio.h> 

int func(int *ptrA, int ret1)
{
   int c = 0;

   c = c + ptrA[5];  
   if(ret1==0) printf("Variable c=%d", c); 

   return 1;
}

