/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_B_2_a.c
*
*    Test description:	Underflow of an integer stack variable. 
*			Decrease the value of a variable until the underflow 
*			happens.
*
*    Error line:        37
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*    
*    Env. requirements: Not needed
*
*    Keywords:		integer underflow
*                       int
*
*    Last modified:	June 26, 2005
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int main(void)
{
   int varA = -100, i, varB = 100;

   for(i = 0; i < 10; i++) varA = varA + varB*varA;    /* underflow */

   ret();
   if(ret1!=1) printf("%d\n", varA);     /* ret1 = 1 */       

   return EXITCODE_OK;
}
