/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_J_6_a.c
*
*    Test description:	Write using a function pointer.
*
*    Error line:        34
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*
*    Env. requirement:  Not needed
*
*    Keywords:		function pointer
*                       write
*
*    Last modified:	July 31, 2005
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

void func(int varA)
{
  int * ptrA = (int *) func;
  *ptrA = varA*varA;

  ret();
  if(ret1!=1) printf("Variable ptrA=%d", *ptrA);
}

int main(void)
{
   int varA = 111;

   func(varA);
   
   return EXITCODE_OK;
}


