/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_C_2_b.c
*
*    Test description:	Call a function with incorrect number of arguments.
*                       The function uses old-style declaration.
*
*    Error line:        44
*
*    Support files:     c_C_2_b_s.c, index_array.txt, TEST_CONST.H, TEST_PARAM.H 
*    
*    Env. requirements: Not needed
*
*    Keywords:		incorrect number of arguments
*			function
*                       old-style declaration
*                       C only
*
*    Last modified:	June 28, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int func();      /* old-style declaration */

int main(void)
{
   int varA, varB;
    
   varA = 11;
   ret();
   varB = func(varA,ret1);

   if(ret2!=1) printf("%d\n", varB);     /* the value of ret2 = 1 */

   return EXITCODE_OK; 
}
