#!/bin/perl


if ( $#ARGV < 1 ) {
  die "Usage: perl mch_template_translator.pl   Keyword_to_regexp_file   Acceptable_messages_file \n";
}
$mch_template=$ARGV[0];
$msgs=$ARGV[1];

open(FHMT,"$mch_template") || die "Can't open $mch_template\n";
while(<FHMT>) {
  if ( /^(\@\w+)\s+(.*)$/ ) { 
     $tag=$1; $val=$2;
     $MCH{$tag} = $val;
   } 
}
close(FHMT);

open(FHM,"$msgs") || die "Can't open $msgs\n";


@A=<FHM>;
foreach $_ (@A) {
  if ( /^(\@\w+)\s+(.*)$/ ) { 
     $tag=$1; $val=$2;
     $val =~ s/\s*//g;
     $VAR{$tag} = $val;
   } 
}
close(FHM);

#foreach $tag ( sort keys %VAR ) {
#  print '$VAR{' . $tag . '} = ' . $VAR{$tag} . "\n";
#}
#print "\n\n*****\n\n";

   foreach $line (0..$#A) {
     $_=$A[$line];
     if ( /^(\@\w+)/ ) {
      $tag=$1; 
      if ( $MCH{$tag}  ) { 
        $A[$line]=$MCH{$tag} . "\n";
      }else{
	$A[$line] = "";
      }
     }
   }

#print @A;
#print "\n\n*****\n\n";
foreach $tag ( sort keys %VAR ) {
   $val=$VAR{$tag};
   foreach $line (0..$#A) {
     $_=$A[$line];
     s/$tag/$val/g;
     $A[$line]=$_;
   }
}

print @A;

