/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_11_e.c
*
*    Test description:	Pass an uninitialize variable as an argument to a function
*			that does not have a prototype.
*			Promote int to float.
*			The file must be compiled with file c_A_11_e.c
*
*    Keywords:		uninitialized variables
*			function
*                       automatic argument conversion
*                       promote int to float
*                       C only
*
*    Last modified:	June 22, 2005
*/

float func(float c)
{
   float b = 1.0;
    
   b = b + c;

   return b;
}
