/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_8_d_in.c
*
*    Test description:	Write using an uninitialized pointer passed to a function.
*			The file must be compiled with file c_A_8_d_in.c
*		
*    Keywords:		uninitialized variables
*			pointer
*			function
*			write
*			int
*
*    Last modified:	June 2, 2005 
*/

#include <stdio.h>

int func(int *ptrA, int ret1)
{
   int c = 0;
   *ptrA = c*c;  /* the point ptrA is passed uninitialized */
   if(ret1 != 1) printf("%d", c);      /* the value of ret1 = 1 */

   return 1; 
}

