/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_9_f.c
*
*    Test description:	Use an uninitialized variable 
*			in "if" conditional expression.
*
*    Error line:        42
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*    
*    Env. requirements: Not needed
*
*    Keywords:		uninitialized variables
*			main function
*                       if statement
*
*    Last modified:	June 7, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int main(void)
{
   int a = 1, i = 0, m;
    
   ret();
   if(ret1!=1) m = K;               /* the value of ret1 = 1 */

   if(i<m) a = a + 1;

   if(ret2!=1) printf("%d", a);     /* the value of ret2 = 1 */

   return EXITCODE_OK; 
}
