#GNU g95,gcc and g++
FC=g95
CC=gcc
CCC=g++
# Flags for Fortran, C, C++ resp
FFLAGS="  -O0 -g   -fbounds-check "
CFLAGS="  -O0 -g   -fbounds-check -ftrapv"
CCCFLAGS="-O0 -g   -fbounds-check -ftrapv"



F90C=${FC}
F90FLAGS=${FFLAGS}

COMPILE_TESTS=yes
CHECK_TESTS=yes
COMPILE="make -e"
MAKE="make"
MAKEFLAGS=" -e "

CLIBS=" -lc -lm "
FLIBS="  "
LOADLIBES=" ${CLIBS}  "


pre_compile=""
post_compile=""
# Some run-time errors can create infinite loops or dump large corefiles
# So before each test run, limit corefiles size and cputime
pre_run="ulimit -c 1; ulimit -t 300"
# and to stop tests which hang, set a maximum wall clock time (in seconds)
# for test to run.  Default is 300 seconds.
MAX_WALL_TIME=300
export MAX_WALL_TIME
#pre_run=""
post_run=""
TOOL=""
# For example, for SUN, you can set TOOL to be bcheck
# This runs as bcheck a.out  which produces more error messages.
#TOOL="bcheck "

TMP=./TMP
# When running with glic libraries, may need set the following env. variable to some value.
#  to get errors from glic to go to STDERR rather than to the screen.
LIBC_FATAL_STDERR_=true
export LIBC_FATAL_STDERR_
