module F_H_3_2_c_s
  implicit none
  contains
    subroutine sub(var,m)
      double precision, intent(inout):: var
      integer, intent(in) :: m
      double precision, pointer, dimension(:,:) :: ptr

      integer :: i,j

      allocate(ptr(m,m))  ! Heap allocation ERROR occurs here
      do i=1,m
         do j=1,m
            ptr(i,j) = dble(i*j)
         end do
      end do
      var = ptr(m/2,m/2)
      deallocate(ptr)
      return
    end subroutine sub
  end module F_H_3_2_c_s
