!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_F_1_6_1_d_i.f90
!
!     Summary:           Out of bounds indexing of arrays
!
!     Test description:  out-of-bounds indexing of 1 D statically allocated array
!                        through a vector index 
!                        The array is integer.
!
!     Support files:     not needed
!
!     Env. requirements: not needed
!
!     Keywords:          out-of-bounds indexing 
!                        integer array 
!
!     Last modified:     05/24/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program test
  implicit none
  integer, parameter :: N=10
  integer :: arr(N),arr1(N)       ! DECLARE
  integer :: i
  integer, dimension(1:N) :: index = (/1,2,3,4,5,6,-100,8,9,10/)
  do i=1,n
     arr(i) = dble(i)
     arr1(i) = dble(i*(i+1))
  end do
  arr(index) = arr1(1:n) -10.d0   ! ERROR
  print *,arr(n/2) 
end program test
