!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_B_2_i.f90
!
!     Summary:           underflow in calculation
!
!     Test description:  underflow in calculation (substract)
!                        integer data type
!
!     Support files:     not needed
!
!     Env. requirements: not needed
!
!     Keywords:          underflow
!                        integer data type
!
!     Last modified:     06/06/05
!
!     Programmer:        Ying Xu
!*************************************************************************

program test
  implicit none
  integer :: a        ! DECLARE
  integer :: i
  a = -10000
  do i=1,200000
     a = a-100000000    ! underflow occurs, ERROR
  end do
  print *,'a=',a
end program test
