!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_I_2.f90
!
!     Summary:           read pass end of file
!
!     Test description:  for sequential access file, read pass end of file
!
!     Support files:     F_I_2.txt
!
!     Env. requirements: not needed
!
!     Keywords:          read pass end of file
!
!     Last modified:     06/01/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  implicit none
  integer :: i,n
  integer, allocatable :: arr(:),arr2(:)
  n = 10
  open(unit=20,file='F_I_2.txt',status='unknown')
  write(20,*) n
  do i=2,n
     write(20,fmt='(2(I10,1x))') i,i*i 
  end do
  close(20)
  
  open(unit=20,file='F_I_2.txt',status="unknown")
  read(20,*) n
  allocate(arr(n),arr2(n))

  do i=1,n
     read(20,fmt='(2(I10,1x))') arr(i),arr2(i)   ! ERROR
  enddo
  print *,arr2(:),arr(:)
  deallocate(arr,arr2)
end program tests
