!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_I_6.f90
!
!     Summary:           read after write for sequential file
!
!     Test description:  read after write for sequential file
!                        
!
!     Support files:     F_I_6.txt
!
!     Env. requirements: not needed
!
!     Keywords:          read after write
!
!     Last modified:     06/01/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  implicit none
  integer :: i,j
  open (11,file='F_I_6.txt',access='sequential',status='unknown',form='unformatted')
  do i=1,20
     write(11) i,i*i,i*i*i
  end do
  read(11) j    ! ERROR
  print *,i,j
  close(11)
end program tests
