!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_J_1_g.f90
!
!     Summary:           memory leak 
!
!     Test description:  reset the pointer to somewhere else or nullify it
!                        before deallocate the pointer
!
!     Support files:     not needed
!
!     Env. requirements: 
!
!     Keywords:          memory leak
!
!     Last modified:     06/09/2005
!
!     Programmer:        Ying Xu
!*************************************************************************

program test
  use F_J_1_g_s
  implicit none
  integer, parameter :: m=10
  double precision :: var
  var =  sub(m)
  print *,var
end program test
