!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_E_1_2_2_b.f90
!
!     Summary:           string out-of-bounds 
!
!     Test description:  string out-of-bounds for 1D string array
!                        write through array section 
!
!     Support files:     not needed 
!
!     Env. requirements: not needed
!
!     Keywords:          string out-of-bounds 
!
!     Last modified:     05/20/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program test
  implicit none
  integer, parameter :: strlen = 20, n = 10
  integer :: I1, I2, i, indx
  character (Len=strlen) :: str(n), substr  ! DECLARE
  do i=1,n
     str(i)(:) = 'This is a test str.'
  end do
  print *,str(5)(:)
  substr = 'This is a test str.'
  indx = n/2
  I1 = 10
  I2 = strlen+I1-1
  str(indx)(I1:I2) = substr ! write out of bounds, ERROR
  print *,str(indx)(:)
end program test


