/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_G_2_2_a.c
*
*    Test description:	Reallocate memory  memory that has been freed. 
*                       Allocate memory, deallocate it, and then reallocate;
*                       use a local pointer in a function.
*
*    Support files:     c_G_2_2_a_s.c, index_array.txt, TEST_CONST.H, TEST_PARAM.H
*
*    Env. requirement:  Not needed
*
*    Keywords:		memory reallocation error
*                       reallocate freed memory
*                       function
*                       freed pointer
*			realloc()
*			int
*
*    Last modified:	June 30, 2005
*/

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

void func();

int main(void)
{
    func();

    return EXITCODE_OK;
}


