/*   Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
  and Ziyu Zhang, All rights reserved.
  Licensed under the Educational Community License version 1.0.
  See the full agreement at http://rted.public.iastate.edu/license.txt . */
/*
*    Test name:		c_J_7_b.c
*
*    Test description:	Attempt to use a scalar passed by address 
*                       to a function as an array.
*                       Write into the "array".
*                       The file must be compile with file c_J_7_b.c.
*
*    Error line:        29
*
*    Keywords:		out of bounds
*                       function
*                       write
*
*    Last modified:	July 31, 2005
*/

#include "TEST_PARAM.H"

void func(int* varA)
{
  int i, varB = 222;

  varA[1] = varB + 333;  /* write out of the memory */
  
  ret();
  if(ret1!=1) printf("Variable varA=%d", varA);
}



