/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_2_c_in.c
*
*    Test description:	Read an unitialized stack array in a function
*			using array indexing.
*			The file must be compiled with file c_A_2_c_in.c
*
*    Error line:        37
*		
*    Keywords:		uninitialized variables
*			stack array
*			function
*			array indexing
*			int
*
*    Last modified:	May 27, 2005
*/

#include "TEST_PARAM.H"

int func(void)
{
   int arrayA[10], b = 0;
   int i;
   
   ret();
   if(ret1 != 1) {             /* the value of ret1 = 1 */
      for(i=0; i<10; i++) arrayA[i] = i;
      }
   b = b + arrayA[0]; 

   if(ret2==0) {               /* the value of ret2 = 1 */
      printf("Variable b=%d", b);
   } 

   return ret1;
}

