/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_2_d_in.c
*
*    Test description:	Declare a stack array in main function,
*			pass it to a function as an argument,
*			and read it there uninitialized using array indexing.
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H, c_A_2_d_in_s.c
*
*    Env. requirements: Not needed
*
*    Keywords:		uninitialized variables
*			stack array
*			function
*			array indexing
*			int
*
*    Last modified:	May 27, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int func(int *arrayA, int ret1);

int main(void)
{
   int b;
   int arrayA[10];
   int i;

   ret();
   if(ret1 != 1) {               /* the value of ret1 = 1 */
      for(i=0; i<10; i++) arrayA[i] = i;
   }
    
   b = func(arrayA, ret1); 
 
   if(ret2==0) {                  /* the value of ret2 = 1 */
      printf("Variable b=%d", b);
   } 

   return EXITCODE_OK; 
}
