/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_3_c_in.c
*
*    Test description:	Read an unitialized stack array in a function
*			using a pointer.
*			The file must be compiled with file c_A_3_c_in.c
*
*    Error line:        38
		
*    Keywords:		uninitialized variables
*			stack array
*			function
*			pointer
*			int
*
*    Last modified:	June 1, 2005
*/

#include "TEST_PARAM.H"

int func(void)
{
   int arrayA[10], *ptrA, b = 0;
   int i;

   ret();
   if(ret1 != 1) {
      for(i=0; i<10; i++) arrayA[i] = i;
    }
   ptrA = arrayA;
   b = b + *(ptrA+5);  
   if(ret2 != 1) {                   /* the value of ret2 = 1 */
      for(i=0; i<10; i++) printf("%d", ptrA[i]);
    }
   if(ret2==0) printf("Variable b=%d", b); 

   return ret2;
}

