/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_K_1_d.c
*
*    Test description:	Read using an uninitialized pointer in a function.
*			The file must be compiled with file c_K_1_d.c
*
*    Error line:        32
*		
*    Keywords:		uninitialized variables
*			uninitialized pointer
*			function
*			read
*			C99 specific
*			read
*			long long int
*
*    Last modified:	July 7, 2005 
*/

#include "stdio.h"

int func(long long int *ptrA, int ret1)
{
   long long int c = 0;
   c = c + *ptrA;  /* the pointer ptrA is passed uninitialized */
   if(ret1 != 1) printf("%lld", c);      /* the value of ret1 = 1 */

   return 1;
}

