/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_K_2_a.c
*
*    Test description:	Use an uninitialized variable of type wchar_t.
*			Declare a stack variable of type w_char 
*			in main function, pass it by pointer to a function,
*			and read it there uninitialized.
*			The file must be compile with file c_K_2_a.c
*
*    Error line:        34
*		
*    Keywords:		uninitialized variables
*			stack variables
*			function
*			C99 specific
*			wchar_t
*
*    Last modified:	July 7, 2005
*/

#include <stdio.h>
#include <wchar.h>

int func(wchar_t *ptrA, int ret1)
{
   wchar_t c;
   c = *ptrA;  /* the pointer points to an uninitialized variable */

   if(ret1==0) printf("Variable c=%c", c);

   return 1;
}

