/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_H_5_b_s.c
*
*    Test description:	File I/O error. 
*			Close a file twice that is opened once.
*			Open the file in main function,
*			then close it in a function using passed pointer,
*			then close it again in main function.
*			The file must be compiled with file c_H_5_b.c
*
*    Keywords:		file I/O error
*
*    Last modified:	June 30, 2005
*/

#include <stdio.h> 

void func(FILE *fp)
 {
    fclose(fp); 
 }

