
/*   Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
  and Ziyu Zhang, All rights reserved.
  Licensed under the Educational Community License version 1.0.
  See the full agreement at http://rted.public.iastate.edu/license.txt .*/
/*    Test name:		c_I_1_e.c
*
*    Test description:	Allocate memory twice using the same pointer 
*                       without deallocating it first 
*                       and without associating another pointer   
*                       with the first block of memory. 
*                       Use a global pointer to allocate memory in two
*                       different units (functions).
*
*    Support files:     c_I_1_e_s.c, index_array.txt, TEST_CONST.H, TEST_PARAM.H
*
*    Env. requirement:  Not needed
*
*    Keywords:		memory leak
*                       double allocation
*                       unreferenced memory
*                       global pointer
*			function
*			int
*
*    Last modified:	June 30, 2005
*/

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

void func_1(void);
void func_2(void);

int *ptrA;
int sum = 0;

int main(void)
{
   func_1();
   func_2();
     
   return EXITCODE_OK;
}
