/*   Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
  and Ziyu Zhang, All rights reserved.
  Licensed under the Educational Community License version 1.0.
  See the full agreement at http://rted.public.iastate.edu/license.txt . */
/*
*    Test name:		c_I_2_c.c
*
*    Test description:	Reset a pointer pointing to a block of memory 
*                       to point somewhere else 
*                       leaving the first block of memory unreferenced.   
*                       Use a global pointer; allocate memory and reset the pointer
*                       in two different units (functions).
*
*    Support files:     c_I_2_c_s.c, index_array.txt, TEST_CONST.H, TEST_PARAM.H
*
*    Env. requirement:  Not needed
*
*    Keywords:		memory leak
*                       unreferenced memory
*			reset a pointer
*                       global pointer
*			function
*			int
*
*    Last modified:	June 30, 2005
*/

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

void func_1(void);
void func_2(void);

int *ptrA;
int sum = 0;

int main(void)
{
   func_1();
   func_2();
     
   return EXITCODE_OK;
}
