/*   Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
  and Ziyu Zhang, All rights reserved.
  Licensed under the Educational Community License version 1.0.
  See the full agreement at http://rted.public.iastate.edu/license.txt . */
/*
*    Test name:		c_J_7_a.c
*
*    Test description:	Attempt to use a scalar passed by address 
*                       to a function as an array.
*                       Read from the "array".
*
*    Support files:     c_J_7_a_s.c, index_array.txt, TEST_CONST.H, TEST_PARAM.H
*
*    Env. requirement:  Not needed
*
*    Keywords:		out of bounds
*                       function
*                       read
*
*    Last modified:	July 31, 2005
*/

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

void func(int *);

int main(void)
{
   int varA = 111;

   func(&varA);
   
   return EXITCODE_OK;
}


