/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_1_c_in.c
*
*    Test description:	Read an unitialized stack variable in a function.
*			The file must be compiled with file c_A_1_c_in.c
*
*    Error line:        32
*		
*    Keywords:		uninitialized variables
*			stack variable
*			function
*			int
*
*    Last modified:	May 25, 2005
*/

#include "TEST_PARAM.H"

int func(void)
{
   int varA, b = 0;

   ret();
   if(ret1 != 1) varA = 0;  /* the value of ret1 = 1 */
   b += varA;         /* the variable varA is uninitialized */

   if(ret2==0) {               /* the value of ret2 = 1 */
      printf("Variable b=%d", b);
   } 

   return ret1;
}

