/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_9_b.c
*
*    Test description:	Use an uninitialized variable 
*			in "for" loop condition.
*
*    Error line:        42
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*    
*    Env. requirements: Not needed
*
*    Keywords:		uninitialized variables
*			main function
*                       for loop
*
*    Last modified:	June 22, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int main(void)
{
   int arrayA[N], i, m;
    
   ret();
   if(ret1 != 1) m = K;

   for(i=1; i<m; i++) {
      arrayA[i%N] = i;
      if(i>2*N) break;
   }
 
   if(ret2!=1) {                   /* the value of ret2 = 1 */
      for(i=0; i<N; i++) printf("%d", arrayA[i]);
    }

   return EXITCODE_OK; 
}
