/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_9_c.c
*
*    Test description:	Use an uninitialized variable 
*			for "for" loop increment.
*
*    Error line:        42
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*    
*    Env. requirements: Not needed
*
*    Keywords:		uninitialized variables
*			main function
*                       for loop
*
*    Last modified:	June 22, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int main(void)
{
   int arrayA[N], i, j=0, m;
    
   ret();
   if(ret1 != 1) m = 1;

   for(i=1; j<1; i+=m) 
    {
      arrayA[j] = i;
      j++;
    }
 
   if(ret2!=1) {                   /* the value of ret2 = 1 */
      for(i=0; i<1; i++) printf("%d", arrayA[i]);
      printf("i=%d\n", i);
    }

   return EXITCODE_OK; 
}
