!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_H_2_1_g.f90
!
!     Summary:           Memory Allocation and Deallocation Errors
!
!     Test description:  To allocate a currently allocated allocatable array or pointer 
!                        The error occurs in the module function.
!
!     Support files:     F_H_2_1_g_s.f90
!
!     Env. requirements: not needed
!
!     Keywords:          allocation errors 

!
!     Last modified:     05/29/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  use F_H_2_1_g_s
  implicit none
  double precision :: var
  integer :: n=10,m=20

  var = sub(n,m)
  print *,'var= ',var
end program tests
