!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_B_1_d.f90
!
!     Summary:           overflow in calculation
!
!     Test description:  overflow in calculation (multiple) 
!                        double precision data type
!
!     Support files:     not needed
!
!     Env. requirements: not needed
!
!     Keywords:          overflow
!                        double precision data type
!
!     Last modified:     06/06/05
!
!     Programmer:        Ying Xu
!*************************************************************************

program tests
  implicit none
    integer :: i
    double precision :: a  ! DECLARE
    a = 1.d3
    do i=1,1000000
       a = a*20.0   !over flow occurs.  ERROR
    end do
    print *,'a=',a
  end program tests
