!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_I_1.f90
!
!     Summary:           open non-exist file or directory
!
!     Test description:  open a file or directory that does not exist
!
!     Support files:     not needed
!
!     Env. requirements: not needed
!
!     Keywords:          open non-exist file
!
!     Last modified:     06/01/05
!
!     Programmer:        Ying Xu
!*************************************************************************

program tests
  implicit none
  integer, parameter :: n=10
  integer :: i
  double precision :: arr(n),arr2(n)
  open(unit=20,file='F_I_1.txt',status="old")  !  ERROR
  do i=1,n
     read(20,*) arr(i)
  enddo
  do i=2,n-1
     arr2(i) = 0.5*(arr(i-1) +arr(i)+arr(i+1))
  end do
  print *,arr2(2:n-1)
  close(20)
end program tests
