!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_I_3_c.f90
!
!     Summary:           access conflict
!
!     Test description:  open a file with access = direct 
!                        use sequential read to access the file
!
!     Support files:     F_I_3_c.txt
!
!     Env. requirements: not needed
!
!     Keywords:          access conflict
!
!     Last modified:     06/01/05
!
!     Programmer:        Ying Xu
!*************************************************************************

program tests
  implicit none
  integer :: i,n, tmp
  integer, allocatable :: arr(:)
  n = 10
  open(unit=20,file='F_I_3_c.txt',access='direct',recl=10,status='unknown',form='unformatted')
  write(20,rec=1) n
  do i=2,n
     tmp = i**2
     write(20,rec=i) tmp
  end do
  close(20) 
  
  open(unit=20,file='F_I_3_c.txt',access='direct',recl=10,status='unknown',form='unformatted')
  read(20,rec=1) n
  allocate(arr(n))
  do i=2,n
     tmp = i**2
     read(20) arr(i-1)   ! ERROR
  end do
  close(20) 
  print *,arr(1:n-1)
  deallocate(arr)
end program tests


