!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_I_5_a.f90
!
!     Summary:           read record number does not exist
!
!     Test description:  read record number not exists
!                        the recore number is zero                        
!
!     Support files:     F_I_5_a.txt
!
!     Env. requirements: not needed
!
!     Keywords:          read record number does not exist
!
!     Last modified:     06/01/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  implicit none
  integer :: i,j,c
  open (11,file='F_I_5_a.txt',recl=4,access='direct',status='unknown',form='unformatted')
  i=100
  j=1
  write (11,rec=j) i
  j = j-j
  read (11,rec=j) c     ! ERROR
  print *,i,c
end program tests
