!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_I_5_c.f90
!
!     Summary:           read record number does not exist
!
!     Test description:  read record number not exists
!                        the recore number is too large
!
!     Support files:     F_I_5_c.txt
!
!     Env. requirements: not needed
!
!     Keywords:          read record number does not exist
!
!     Last modified:     06/01/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  implicit none
  integer :: i,c,n
  n =20
  open (11,file='F_I_5_c.txt',recl=4,access='direct',status='unknown',form='unformatted')
  do i=1,n
     write (11,rec=i) i
  end do
  read (11,rec=i) c     ! ERROR
  print *,i,c
end program tests
