!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_I_9_c.f90
!
!     Summary:           format conflict
!
!     Test description:  the file is open with form=unformatted,
!                        but the write operation is formatted
!
!     Support files:     F_I_9_c.txt
!
!     Env. requirements: not needed
!
!     Keywords:          format conflict
!
!     Last modified:     06/01/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  implicit none
  integer :: i,n, tmp
  integer, allocatable :: arr(:)
  n = 10
  open(unit=20,file='F_I_9_c.txt',access='sequential',status='unknown',form ='unformatted' )
  write(20) n
  allocate(arr(n))
  do i=1,n
     tmp = i**2
     arr(i) = tmp
     write(20,fmt='(I20)') tmp  ! ERROR
  end do
  close(20) 
  print *,tmp
end program tests

