!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_G_1_1_1_b_t.f90
!
!     Summary:           Out of bounds indexing of pointer
!
!     Test description:  out-of-bounds indexing of 1 D dynamically allocated pointer 
!                        The array is derived data type.
!
!     Support files:     
!
!     Env. requirements: not needed
!
!     Keywords:          out-of-bounds indexing 
!                        derived array 
!
!     Last modified:     05/29/05
!
!     Programmer:        Ying Xu
!*************************************************************************
!---------------------------------------------------------------

program rstack
  implicit none
  type S
     integer :: num
     character :: gender
  end type S

  type(S), dimension(:), target :: arr(14)
  type(S), dimension(:), pointer :: ptr
  type(s) :: a
  integer :: indx
  do indx=1,14
     arr(indx)%num = indx
     arr(indx)% gender = 'f'
  end do

  ptr => arr
  a = ptr(indx+10)  ! ERROR 
  print *,'a%num=',a%num,' a%gender=',a%gender
  stop
end program rstack
