!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_E_1_2_3_b.f90
!
!     Summary:           string out-of-bounds 
!
!     Test description:  string out-of-bounds for 1D string array
!                        read through array section 
!
!     Support files:     not needed 
!
!     Env. requirements: not needed
!
!     Keywords:          string out-of-bounds 
!
!     Last modified:     05/20/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  implicit none
  integer, parameter :: strlen = 20, n = 10
  integer :: I1, I2, i, J1, J2, indx
  character (Len=strlen) :: str(n), substr(n)  ! DECLARE
  do i=1,n
     str(i)(:) = 'This is a test str.'
     substr(i)(:) = 'It is a sub-string..'
  end do
  substr = 'This is a test str.'
  I1 = 1
  I2 = int(n/2)
  J1 = 10
  J2 = strlen+J1-1
  substr(I1:I2) = str(I1:I2)(J1:J2)  ! read out of bounds, ERROR
  indx = n/2
  print *,substr(indx)(:)
end program tests
